Subject: Re: EXE has file junk in it
From: [email-masked] (Bill Klein)

3 Jun 1997 17:39:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.2 (32)
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

I wrote:
>> I have noticed, upon examining a few of the
>> EXE files that I created using GNU Win32, that
>> they have "junk" from other unrelated text files
>> on the same hard drive (but not the same folder).
>> Has anyone seen this before, or know what is
>> causing this?

Gunther wrote:
>No, I have never seen this and I can't imagine how
>such things could happen. How did you realize this
>behaviour? Could you give some hints how to reproduce
>it?

I realized it because I am nosy and thought to myself,
"hey, why not open the EXE in a text editor just for
fun." :) I have a folder:

  D:\Programming\GNU Development\test\

With only the file "test.c" in it. The file contains:

  #include <stdio.h>

  int main( void )
  {
    printf( "Testing 1 2 3 %d!!!!", 4 );
    return 0;
  }

I compile it using the command line:

  gcc -o test.exe test.c

and it makes a 14KB EXE... The EXE works fine, but if
I look inside it using a text editor (or just by typing
"type test.exe" at the prompt), I see some code from
another program in the folder (I think):

  D:\Programming\GNU Development\cgivars\

I'm using Windows 95...

Bill Klein <[email-masked]> - http://bk.base.org/

"For every browser, there is an equal and
 opposite rebrowser."
                              -Bill Klein
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".